解決済「複写して新規」でWarning表示

フォーラム 使い方全般 【解決済】「複写して新規」でWarning表示

タグ: 

  • このトピックには2件の返信、2人の参加者があり、最後にSuzukimaiMにより1ヶ月、 1週前に更新されました。
3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #98029
    SuzukimaiM
    参加者

    サイトを公開して以降、「複写して新規」を行うと以下のようなWarning表示が出ます。
    商品の複写自体はできますが、なぜか1回で2記事生成されます。

    Warning: Trying to access array offset on value of type null in /***/***/***/wp/wp-content/plugins/usc-e-shop/functions/item_post.php on line 1675

    Warning: Cannot modify header information – headers already sent by (output started at /***/***/***/wp/wp-content/plugins/usc-e-shop/functions/item_post.php:1675) in /***/***/***/wpwp-includes/pluggable.php on line 1421

    Warning: Cannot modify header information – headers already sent by (output started at /***/***/***/wp/wp-content/plugins/usc-e-shop/functions/item_post.php:1675) in /***/***/***/wp/wp-includes/pluggable.php on line 1424

    Welcartのバージョンダウンもや商品コードの修正も行いましたが、特に変化がありません。
    よろしくお願いいたします。

    ——————————————-
    WordPress のバージョン:6.0.1
    Welcart のバージョン:2.7.4
    PHP のバージョン:8.0.22
    Welcart専用の拡張プラグインとバージョン:なし
    ご利用の親テーマとバージョン :Welcart Basic 1.6
    ご利用の子テーマとバージョン :Welcart Basic をカスタムしたオリジナルテーマ
    症状を確認したブラウザ:
    サーバー【重要】:KAGOYA
    ——————————————–

    #98041
    sagawa
    キーマスター

    SuzukimaiM様

    こんにちは。

    PHPバージョンをダウングレードして、再度ご確認いただけますでしょうか?
    Welcartは現時点でPHP8.0未対応です。
    こちらのシステム要件を併せてご確認いただければと思います。

    また、上記の方法でも解決しない場合は、一度親テーマに切り替えてみて動作をご確認いただけたらと思います。

    #98048
    SuzukimaiM
    参加者

    sagawaさま
    ありがとうございます。
    PHPのバージョンを切り替えたところ、エラーと二重複製が出なくなりました。
    セキュリティ的に大丈夫なのかと心配はありますが、バージョンを下げた状態で運営していくようにします。

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • このトピックに返信するにはログインが必要です。